# SButtonComponent Classes

This file provide the mixins to generate button classes

## Mixins

### s-button-classes

Provide all the classes of the button component like .btn, .btn--outline, etc...

- `.btn`
- `.btn--{color}`
- `.btn--outline`
- `.btn--link`
- `.btn--block`

#### Parameters

| Name     | Type                 | Description                                                                        | Status   | Default                                   |
| -------- | -------------------- | ---------------------------------------------------------------------------------- | -------- | ----------------------------------------- |
| \$colors | **{ List<Color> }**  | The colors to generate                                                             | optional | default primary secondary                 |
| \$types  | **{ List<String> }** | The button types to generate. Available: default outline link block hover disabled | optional | default outline link block hover disabled |

Author : Olivier Bossel [olivier.bossel@gmail.com](mailto:olivier.bossel@gmail.com)

### s-button-classes-bare

Provide the bare styling for the buttons classes

- `.btn`
- `.btn--block`

#### Parameters

| Name    | Type                 | Description                                                                        | Status   | Default                                   |
| ------- | -------------------- | ---------------------------------------------------------------------------------- | -------- | ----------------------------------------- |
| \$types | **{ List<String> }** | The button types to generate. Available: default outline link block hover disabled | optional | default outline link block hover disabled |

Author : Olivier Bossel [olivier.bossel@gmail.com](mailto:olivier.bossel@gmail.com)

### s-button-classes-style

Provide the style styling for the buttons classes

- `.button--{color}`
- `.button--outline`
- `.button--link`
- `.button:disabled`
- `.button--hover-{$color}`

#### Parameters

| Name     | Type                 | Description                                                                        | Status   | Default                                   |
| -------- | -------------------- | ---------------------------------------------------------------------------------- | -------- | ----------------------------------------- |
| \$colors | **{ List<Color> }**  | The colors to generate                                                             | optional | default primary secondary                 |
| \$types  | **{ List<String> }** | The button types to generate. Available: default outline link block hover disabled | optional | default outline link block hover disabled |

Author : Olivier Bossel [olivier.bossel@gmail.com](mailto:olivier.bossel@gmail.com)
